org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyPackageDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
  - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

All Implemented Interfaces:
  java.lang.Comparable, GroovyTokenTypes, GroovyDoc, GroovyPackageDoc

    public class SimpleGroovyPackageDoc
    extends SimpleGroovyDoc
    implements GroovyPackageDoc

### Field Summary

### Fields inherited from interface org.codehaus.groovy.antlr.parser.GroovyTokenTypes

`ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ASSIGN, AT, BAND, BAND_ASSIGN, BIG_SUFFIX, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CLASS_DEF, CLOSABLE_BLOCK, CLOSABLE_BLOCK_OP, CLOSURE_LIST, COLON, COMMA, COMPARE_TO, CTOR_CALL, CTOR_IDENT, DEC, DIGIT, DIGITS_WITH_UNDERSCORE, DIGITS_WITH_UNDERSCORE_OPT, DIV, DIV_ASSIGN, DOLLAR, DOLLAR_REGEXP_CTOR_END, DOLLAR_REGEXP_LITERAL, DOLLAR_REGEXP_SYMBOL, DOT, DYNAMIC_MEMBER, ELIST, ELVIS_OPERATOR, EMPTY_STAT, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, ESCAPED_DOLLAR, ESCAPED_SLASH, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_IN_ITERABLE, FOR_INIT, FOR_ITERATOR, GE, GT, HEX_DIGIT, IDENT, IDENTICAL, IMPLEMENTS_CLAUSE, IMPLICIT_PARAMETERS, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INTERFACE_DEF, LABELED_ARG, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LETTER, LIST_CONSTRUCTOR, LITERAL_as, LITERAL_assert, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_def, LITERAL_default, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_in, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_threadsafe, LITERAL_throw, LITERAL_throws, LITERAL_trait, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LOR, LPAREN, LT, MAP_CONSTRUCTOR, MEMBER_POINTER, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, MULTICATCH, MULTICATCH_TYPES, NLS, NOT_EQUAL, NOT_IDENTICAL, NULL_TREE_LOOKAHEAD, NUM_BIG_DECIMAL, NUM_BIG_INT, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, ONE_NL, OPTIONAL_DOT, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RANGE_EXCLUSIVE, RANGE_INCLUSIVE, RBRACK, RCURLY, REGEX_FIND, REGEX_MATCH, REGEXP_CTOR_END, REGEXP_LITERAL, REGEXP_SYMBOL, RPAREN, SELECT_SLOT, SEMI, SH_COMMENT, SL, SL_ASSIGN, SL_COMMENT, SLIST, SPREAD_ARG, SPREAD_DOT, SPREAD_MAP_ARG, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STAR_STAR, STAR_STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STRICTFP, STRING_CH, STRING_CONSTRUCTOR, STRING_CTOR_END, STRING_CTOR_MIDDLE, STRING_CTOR_START, STRING_LITERAL, STRING_NL, SUPER_CTOR_CALL, TRAIT_DEF, TRIPLE_DOT, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, UNUSED_CONST, UNUSED_DO, UNUSED_GOTO, VARIABLE_DEF, VARIABLE_PARAMETER_DEF, VOCAB, WILDCARD_TYPE, WS`

### Constructor Summary

Constructors
Constructor and Description
`SimpleGroovyPackageDoc(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroovyClassDoc[]` `allClasses()` All included classes and interfaces in this package.
`GroovyClassDoc[]` `allClasses(boolean arg0)` All classes and interfaces in this package optionally limited to just the included ones.
`java.lang.String` `description()` Description of the package.
`GroovyClassDoc[]` `enums()` Included enum types in this package.
`GroovyClassDoc[]` `errors()` Included errors in this package.
`GroovyClassDoc[]` `exceptions()` Included exceptions in this package.
`GroovyClassDoc` `findClass(java.lang.String arg0)` Find a class or interface within this package.
`java.lang.String` `getRelativeRootPath()`
`GroovyClassDoc[]` `interfaces()` Included interfaces in this package.
`java.lang.String` `nameWithDots()`
`GroovyClassDoc[]` `ordinaryClasses()` Included ordinary classes in this package.
`void` `putAll(java.util.Map<java.lang.String,GroovyClassDoc> classes)`
`void` `setDescription(java.lang.String description)`
`void` `setSummary(java.lang.String summary)`
`java.lang.String` `summary()` The one-sentence summary for the package derived from the beginning of the description.

### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

`calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Constructor Detail

#### SimpleGroovyPackageDoc

    public SimpleGroovyPackageDoc(java.lang.String name)

### Method Detail

#### allClasses

    public GroovyClassDoc[] allClasses()

Description copied from interface: `GroovyPackageDoc`
All included classes and interfaces in this package.

Specified by:
  `allClasses` in interface `GroovyPackageDoc`
Returns:
  array of classes and interfaces found or empty array if none found

#### setDescription

    public void setDescription(java.lang.String description)

#### setSummary

    public void setSummary(java.lang.String summary)

#### putAll

    public void putAll(java.util.Map<java.lang.String,GroovyClassDoc> classes)

#### nameWithDots

    public java.lang.String nameWithDots()

Specified by:
  `nameWithDots` in interface `GroovyPackageDoc`

#### allClasses

    public GroovyClassDoc[] allClasses(boolean arg0)

Description copied from interface: `GroovyPackageDoc`
All classes and interfaces in this package optionally limited to just the included ones.

Specified by:
  `allClasses` in interface `GroovyPackageDoc`
Parameters:
  `arg0` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
Returns:
  array of classes and interfaces found or empty array if none found

#### enums

    public GroovyClassDoc[] enums()

Description copied from interface: `GroovyPackageDoc`
Included enum types in this package.

Specified by:
  `enums` in interface `GroovyPackageDoc`
Returns:
  array of enum types found or empty array if none found

#### errors

    public GroovyClassDoc[] errors()

Description copied from interface: `GroovyPackageDoc`
Included errors in this package.

Specified by:
  `errors` in interface `GroovyPackageDoc`
Returns:
  array of errors found or empty array if none found

#### exceptions

    public GroovyClassDoc[] exceptions()

Description copied from interface: `GroovyPackageDoc`
Included exceptions in this package.

Specified by:
  `exceptions` in interface `GroovyPackageDoc`
Returns:
  array of exceptions found or empty array if none found

#### findClass

    public GroovyClassDoc findClass(java.lang.String arg0)

Description copied from interface: `GroovyPackageDoc`
Find a class or interface within this package.

Specified by:
  `findClass` in interface `GroovyPackageDoc`
Parameters:
  `arg0` - the name of the class to find
Returns:
  ClassDoc of found class or interface, or null if not found

#### interfaces

    public GroovyClassDoc[] interfaces()

Description copied from interface: `GroovyPackageDoc`
Included interfaces in this package.

Specified by:
  `interfaces` in interface `GroovyPackageDoc`
Returns:
  array of interfaces found or empty array if none found

#### ordinaryClasses

    public GroovyClassDoc[] ordinaryClasses()

Description copied from interface: `GroovyPackageDoc`
Included ordinary classes in this package.

Specified by:
  `ordinaryClasses` in interface `GroovyPackageDoc`
Returns:
  array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

#### description

    public java.lang.String description()

Description copied from interface: `GroovyPackageDoc`
Description of the package.

Specified by:
  `description` in interface `GroovyPackageDoc`
Returns:
  the description

#### summary

    public java.lang.String summary()

Description copied from interface: `GroovyPackageDoc`
The one-sentence summary for the package derived from the beginning of the description.

Specified by:
  `summary` in interface `GroovyPackageDoc`
Returns:
  the summary

#### getRelativeRootPath

    public java.lang.String getRelativeRootPath()

Specified by:
  `getRelativeRootPath` in interface `GroovyPackageDoc`